#include <sys/types.h>
#include <signal.h>

#define NODEFINE
#include <u.h>
#include <libc.h>

Pmspl
pm_splhi(void)
{
	Pmspl pshi, ps;

	sigfillset(&pshi.sigset);
	if(sigprocmask(SIG_SETMASK, &pshi.sigset, &ps.sigset) < 0)
		pm_panic("pm_splhi");
	return ps;
}

void
pm_splx(Pmspl s)
{
	if(sigprocmask(SIG_SETMASK, &s.sigset, nil) < 0)
		pm_panic("pl_splx");
}
